import { ErrorHandler, Injector } from "@angular/core";
import * as i0 from "@angular/core";
export declare class APPErrorHandler implements ErrorHandler {
    private injector;
    private router;
    private msgsExts;
    constructor(injector: Injector);
    handleError(error: any): void;
    b64EncodeUnicode(str: any): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<APPErrorHandler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<APPErrorHandler>;
}
